summaryrefslogtreecommitdiff
path: root/zaptel.init
diff options
context:
space:
mode:
Diffstat (limited to 'zaptel.init')
-rw-r--r--zaptel.init5
1 files changed, 4 insertions, 1 deletions
diff --git a/zaptel.init b/zaptel.init
index aee83f7..2014a31 100644
--- a/zaptel.init
+++ b/zaptel.init
@@ -23,6 +23,9 @@ FXOTUNE=/sbin/fxotune
# explicit Astribank (e.g: 01).
XPP_SYNC=auto
+# A command to wait until Astribanks settle down.
+WAITFOR_XPDS=/usr/share/zaptel/waitfor_xpds
+
# The maximal timeout (seconds) to wait for udevd to finish generating
# device nodes after the modules have loaded and before running ztcfg.
ZAP_DEV_TIMEOUT=20
@@ -81,7 +84,7 @@ xpp_startup() {
if ! grep -q connected /proc/xpp/xbuses 2>/dev/null; then return 0; fi
echo "Waiting for Astribank devices to initialize:"
- cat /proc/xpp/XBUS-[0-9]*/waitfor_xpds 2>/dev/null || true
+ $WAITFOR_XPDS || true
# overriding locales for the above two, as perl can be noisy
# when locales are missing.